﻿label.uts-object-reservation-form-name
{
    font-size: 24px;
    margin: 5px 0px 10px 0px;
    font-weight: bold;
    display: block;
}

label.uts-object-reservation-form-name:empty,
label.uts-object-reservation-form-description:empty
{
    display: none;
}

label.uts-object-reservation-form-description
{
    font-size: 18px;
    margin: 5px 0px 10px 0px;
    display: block;
}

.uts-object-reservation
{
	border: 1px solid #dddddd;
	padding: 12px 1px 2px 4px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	vertical-align: top;
	background-color: #fafafa;
	margin: 0 0 15px 0;
}

.uts-object-reservation-photos
{
	width: 200px;
	height: 100px;
	display: inline-block;
	vertical-align: top;
}

.uts-object-reservation-photo
{
	display: inline-block;
	height: 90px;
	width: 150px;
}

.uts-object-reservation-photo-previous,
.uts-object-reservation-photo-next
{
	display: inline-block;
	cursor: pointer;
}

.uts-object-reservation-description
{
	height: 100px;
	display: inline-block;
	vertical-align: top;
}

.uts-object-reservation.expanded .uts-object-reservation-description
{
    overflow-y: scroll;
}

.uts-object-reservation-description > label
{
	display: block;
	line-height: 16px;
	margin: 0;
	padding: 0;
	font-weight: normal;
	overflow: hidden;
	width: 600px;
}

.uts-object-reservation-description > label:nth-of-type(1)
{
	font-weight: bold;
	margin-bottom: 5px;
}

.uts-object-reservation-description > label:nth-of-type(2) /*Description*/
{
	height: 34px;
}

.expanded .uts-object-reservation-description > label:nth-of-type(2) /*Description*/
{
	height: 55px;
	overflow-y: scroll;
}

.uts-object-reservation-description > label:nth-of-type(3) /*Prix*/
{
	height: 16px;
}

.uts-object-reservation-description > a /*Lien*/
{
	font-weight: bold;
	cursor: pointer;
}

.uts-object-reservation-form
{
	display: none;
	border-top: 1px solid #bbbbbb;
	margin: 10px 10px 0 10px;
	padding: 5px 0 5px 0;
}


.uts-object-reservation:hover
{
	border: 1px solid #bbbbbb;
	background-color: #fcfcfc;
}

.uts-object-reservation-form label:nth-of-type(1)
{
	font-weight: bold;
}

.uts-object-reservation-form label:nth-of-type(2)
{
	font-weight: normal;
}

.uts-object-reservation-form div
{
	vertical-align: top;
}

.uts-object-reservation-form div > label:first-of-type
{
	font-weight: bold;
	width: 190px;
}

.uts-object-reservation-form div table
{
	display: inline-block;
	vertical-align: top;
}

.uts-object-reservation-form div table label
{
	font-weight: normal !important;
	padding: 0;
	margin: 0 10px 0 5px;
	vertical-align: top;
}

.uts-object-reservation-form div table td
{
	padding: 5px 0 0 0;
	vertical-align: top;
}

.uts-object-reservation-form div table input[type=checkbox] {
	padding: 0;
	margin: 0;
}

.uts-object-reservation-form input[type=checkbox] {
	-webkit-appearance: auto !important;
}

.uts-object-reservation-form button
{
	margin: 5px 0 10px 0;
}

.uts-object-reservation.expanded
{
	border: 1px solid #cccccc;
	background-color: #f0f0f0;
}

.uts-object-reservation.expanded .uts-object-reservation-form
{
	display: block;
}

.uts-object-reservation.expanded .uts-object-reservation-description a
{
	display: none;
}

label[for]
{
	cursor: pointer;
}

.uts-object-reservation-form table tbody tr
{
	display: inline-block;
}

.uts-object-reservation-form .btn
{
	margin: 7px 0 7px 0;
}

.uts-object-reservation-form input[type=text]
{
	width: 250px;
}

.uts-object-reservation-form input.validation-infos
{
	width: 600px;
}

.uts-object-reservation-form select
{
	padding: 3px 2px;
}

.uts-object-reservation-show-calendar
{
	padding: 5px 10px 5px 10px;
	background-color: #fafafa;
	cursor: pointer;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	font-weight: bold;
	border: 1px solid #e3e3e3;
}

.uts-object-reservation-show-calendar:hover
{
	background-color: #e3e3e3;
	border: 1px solid #dadada;
}

.uts-object-reservation-show-calendar img
{
	float: right;
	margin-top: 2px;
}

div.uts-object-reservation-calendar-container
{
	display: none;
}

div.uts-object-reservation-calendar
{
    display: block;
    border: 1px solid #dddddd;
}

div.uts-object-reservation-calendar-weekdays
{
    display: block;
    border: 1px solid #dddddd;
    background-color: #eeeeee;
    font-weight: bold;
    text-align: center;
}

div.uts-object-reservation-calendar-weekdays td
{
    padding: 3px;
}

div.uts-object-reservation-calendar-legend
{
    display: block;
    text-align: right;
    padding: 0 0 7px 0;
}

div.uts-object-reservation-calendar-legend-category
{
    border: 1px solid #ffffff;
    padding: 5px 10px 5px 10px;
    cursor: pointer;
    display: inline-block;
    opacity: 0.6;
    filter: alpha(opacity=60); /* For IE8 and earlier */
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    margin: 0 0 0 3px;
}

div.uts-object-reservation-calendar-legend-category:hover
{
    border: 1px solid #fff;
    opacity: 7.0;
    filter: alpha(opacity=70); /* For IE8 and earlier */
}

div.uts-object-reservation-calendar-legend-category.selected
{
    border: 1px solid #888;
    opacity: 1.0;
    filter: alpha(opacity=100); /* For IE8 and earlier */
}

div.uts-object-reservation-calendar-selector
{
    margin: 10px 0 10px 0;
}

div.uts-object-reservation-calendar-selector table tr td
{
    vertical-align: middle;
}

div.uts-object-reservation-calendar-selector table tr td a
{
    cursor: pointer;
}

div.uts-object-reservation-calendar-selector table tr td:nth-child(1)
{
    text-align: left;
    font-size: 14px;
}

div.uts-object-reservation-calendar-selector table tr td:nth-child(2)
{
    text-align: center;
    font-size: 16px;
    font-weight: bold;
}

div.uts-object-reservation-calendar-selector table tr td:nth-child(3)
{
    text-align: right;
    font-size: 14px;
}

.uts-object-reservation-calendar-selector-year
{
	margin-left: 5px;
}

.uts-object-reservation-calendar-day
{
    vertical-align: top;
    padding: 1px 4px 1px 4px;
    border: 1px solid #dddddd;
}

.uts-object-reservation-calendar-day > label
{
    text-align: right;
    display: block;
}

.uts-object-reservation-calendar-day-other-month,
.uts-object-reservation-calendar-day-other-month *
{
    color: #cccccc;
}

.uts-object-reservation-calendar-day-weekend
{
    background-color: #fafafa;
}

.uts-object-reservation-calendar-event
{
    border: 1px solid #888;
    padding: 2px;
    font-size: 12px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

.uts-object-reservation-calendar-day-hasevent
{
	background-color: #aaa;
	-moz-box-shadow: inset #555 0 -7px 0 0;
	-webkit-box-shadow: inset #555 0 -7px 0 0;
	box-shadow: inset #555 0 -7px 0 0;
}

.uts-object-reservation-calendar-day-hasevent:hover
{
	background-color: #999;
}

.uts-object-reservation-form input[type=text],
.infos textarea
{
    width: 410px;
}

.expanded .uts-object-reservation-description > label:nth-of-type(2)
{
    overflow-y: visible;
    height: auto;
}

.uts-object-reservation-form > div
{
    margin-top: 10px;
    margin-bottom: 10px;
}

.uts-object-reservation-form div > label:first-of-type
{
    vertical-align: top;
}

.uts-object-reservation-form input[type=button],
.uts-object-reservation-form input[type=submit] {
	background-color: #ccc;
}

.uts-object-reservation-form input[type=button]:hover,
.uts-object-reservation-form input[type=submit]:hover {
	background-color: #bbb;
}

.form-text {
	display: block;
}

.validation-start-time,
.validation-end-time
{
	width: 100px !important;
}